package octoshape.android.stream;

/**
 * The seek type
 * Created by dota on 18-02-2015.
 */
public enum SeekType {
    NO_SEEK (1),
    NATIVE_SEEK (2),
    OSA_SEEK (3);

    public final int value;

    SeekType(int value) {
        this.value = value;
    }

    public static SeekType getSeekType(int value) {

        if (value == NO_SEEK.value) {
            return NO_SEEK;
        } else if (value == NATIVE_SEEK.value) {
            return NATIVE_SEEK;
        } else if (value == OSA_SEEK.value) {
            return OSA_SEEK;
        } else {
            return null;
        }
    }

}
